Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository
Class ModeShapeConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.modeshape.repository.ModeShapeConfigurationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JcrConfigurationException

    @Immutable
    public class ModeShapeConfigurationException

extends RuntimeException

A runtime exception that denotes an error within the configuration for ModeShape.

See Also:
  Serialized Form

Constructor Summary
`ModeShapeConfigurationException()`
`ModeShapeConfigurationException(String message)`
`ModeShapeConfigurationException(String message, Throwable cause)`
`ModeShapeConfigurationException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModeShapeConfigurationException

    public ModeShapeConfigurationException()

### ModeShapeConfigurationException

    public ModeShapeConfigurationException(String message)

Parameters:
  `message` -

### ModeShapeConfigurationException

    public ModeShapeConfigurationException(Throwable cause)

Parameters:
  `cause` -

### ModeShapeConfigurationException

    public ModeShapeConfigurationException(String message,
                                           Throwable cause)

Parameters:
  `message` -
  `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.